Bug 179559 - [bsd.pkgng.mk] load-octave-pkg should be run post-deinstall
Summary: [bsd.pkgng.mk] load-octave-pkg should be run post-deinstall
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-14 22:20 UTC by Antoine Brodin
Modified: 2013-06-15 12:03 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Brodin freebsd_committer 2013-06-14 22:20:00 UTC
Currently, there are lots of leftovers on uninstall with octave port + pkgng.
This is because on uninstall, load-octave-pkg is run pre-deinstall not post-deinstall.

Fix: 

Add load-octave-pkg to _FORCE_POST_PATTERNS in bsd.pkgng.mk
Comment 1 Edwin Groothuis freebsd_committer 2013-06-14 22:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.pkgng.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 Antoine Brodin freebsd_committer 2013-06-14 23:02:47 UTC
For the how to repeat, you can have a look at:
http://pointyhat-west.isc.freebsd.org/errorlogs/amd64-10-exp-latest/index.html

Port	Aff.	Size	SVN	Maintainer	Reason	Build date
octave-forge-actuarial-1.1.0_4 	1 	259 Kb 	math/octave-forge-actuarial
	stephen@FreeBSD.org 	mtree 	Jun 12 15:56:33 UTC 2013
octave-forge-ad-1.0.6_7 	1 	259 Kb 	math/octave-forge-ad
	stephen@FreeBSD.org 	mtree 	Jun 12 15:56:56 UTC 2013
octave-forge-audio-1.1.4_7 	1 	259 Kb 	math/octave-forge-audio
	stephen@FreeBSD.org 	mtree 	Jun 12 16:00:14 UTC 2013
octave-forge-bioinfo-0.1.2_7 	1 	259 Kb 	math/octave-forge-bioinfo
	stephen@FreeBSD.org 	mtree 	Jun 12 15:57:01 UTC 2013
octave-forge-cgi-0.1.0 	1 	259 Kb 	math/octave-forge-cgi
	stephen@FreeBSD.org 	mtree 	Jun 12 15:57:45 UTC 2013
...
Comment 3 Baptiste Daroussin freebsd_committer 2013-06-14 23:05:21 UTC
Approved, please commit!

On Fri, Jun 14, 2013 at 09:08:45PM +0000, Antoine Brodin wrote:
> 
> >Number:         179559
> >Category:       ports
> >Synopsis:       [bsd.pkgng.mk] load-octave-pkg should be run post-deinstall
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports-bugs
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Fri Jun 14 21:20:00 UTC 2013
> >Closed-Date:
> >Last-Modified:
> >Originator:     Antoine Brodin
> >Release:        FreeBSD 9.1-RELEASE-p3 amd64
> >Organization:
> none
> >Environment:
> System: FreeBSD pepperseed.dreadbsd.org 9.1-RELEASE-p3 FreeBSD 9.1-RELEASE-p3 #0: Mon Apr 29 18:27:25 UTC 2013 root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC amd64
> 
> 
> >Description:
> Currently, there are lots of leftovers on uninstall with octave port + pkgng.
> This is because on uninstall, load-octave-pkg is run pre-deinstall not post-deinstall.
> >How-To-Repeat:
> >Fix:
> Add load-octave-pkg to _FORCE_POST_PATTERNS in bsd.pkgng.mk
> 
> 
> 
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> _______________________________________________
> freebsd-ports-bugs@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
> To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2013-06-15 10:10:45 UTC
Author: antoine
Date: Sat Jun 15 09:10:37 2013
New Revision: 320980
URL: http://svnweb.freebsd.org/changeset/ports/320980

Log:
  Add load-octave-pkg to _FORCE_POST_PATTERNS.
  This fixes leftovers of octave-forge-* with pkg
  
  PR:		ports/179559
  Approved by:	portmgr (bapt)

Modified:
  head/Mk/bsd.pkgng.mk
  head/math/octave-forge-base/pkg-plist

Modified: head/Mk/bsd.pkgng.mk
==============================================================================
--- head/Mk/bsd.pkgng.mk	Sat Jun 15 07:50:22 2013	(r320979)
+++ head/Mk/bsd.pkgng.mk	Sat Jun 15 09:10:37 2013	(r320980)
@@ -21,6 +21,7 @@ _FORCE_POST_PATTERNS=	rmdir kldxref mkfo
 						fonts.dir fonts.scale gtk-update-icon-cache \
 						gio-querymodules \
 						ldconfig \
+						load-octave-pkg \
 						update-desktop-database update-mime-database \
 						gdk-pixbuf-query-loaders catalog.ports \
 						glib-compile-schemas

Modified: head/math/octave-forge-base/pkg-plist
==============================================================================
--- head/math/octave-forge-base/pkg-plist	Sat Jun 15 07:50:22 2013	(r320979)
+++ head/math/octave-forge-base/pkg-plist	Sat Jun 15 09:10:37 2013	(r320980)
@@ -1,4 +1,4 @@
-@unexec %D/libexec/octave/load-octave-pkg
+@unexec %D/libexec/octave/load-octave-pkg || true
 libexec/octave/load-octave-pkg
 @exec mkdir -p %D/share/octave/tarballs
 @exec %D/libexec/octave/load-octave-pkg
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Antoine Brodin freebsd_committer 2013-06-15 12:03:15 UTC
State Changed
From-To: open->closed

Patch committed.